'************************************************
' File:    Cancella o sposta files pi vecchi di n giorni.vbs 
' Author:  Giovanni Cenati 
' 
' Cancella i file pi vecchi di 30 giorni
' presenti in una cartella.
' Oppure li sposta in una cartella diversa.
' Moves or deletes files older than 30 days.
'************************************************ 
Set fso = CreateObject("Scripting.FileSystemObject")
'Punta alla cartella da analizzare.
Set folder = fso.GetFolder("C:\QuestoMese")
'Crea una collezione dei files contenuti nella cartella.
Set files = folder.Files
For Each file in files
	'Se la differenza tra la data di oggi e la
	'data di ultima modifica del file  maggiore di 30 giorni...
    If DateDiff("d", file.DateLastModified, Now) > 30 Then
    	'allora cancella il file.
        'file.Delete
        'oppure spostalo in una cartella di archivio.
        'file.Move "C:\MesiPrecedenti\"
    End If
Next
